<?php
/**
 * The data view file of feedback module of ZenTaoPMS.
 *
 * @copyright   Copyright 2009-2015 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Yidong Wang <yidong@cnezsoft.com>
 * @package     feedback
 * @version     $Id$
 * @link        http://www.zentao.net
 */
?>
<table class='table table-fixed tablesorter table-datatable' id='feedbackList'>
  <thead>
    <?php $vars = "browseType=$browseType&param=$param&orderBy=%s&recTotal={$pager->recTotal}&recPerPage={$pager->recPerPage}";?>
    <tr class='text-center'>
      <th class='w-60px'> <?php common::printOrderLink('id',         $orderBy, $vars, $lang->idAB);?></th>
      <th class='w-150px hidden-xs'><?php common::printOrderLink('product',    $orderBy, $vars, $lang->feedback->product);?></th>
      <th>                <?php common::printOrderLink('title',      $orderBy, $vars, $lang->feedback->title);?></th>
      <th class='w-80px'> <?php common::printOrderLink('status',     $orderBy, $vars, $lang->feedback->status);?></th>
      <?php if(isset($userDeptPairs)):?>
      <th class='w-80px'> <?php echo $lang->feedback->dept;?></th>
      <?php endif;?>
      <th class='w-80px'> <?php common::printOrderLink('openedBy',   $orderBy, $vars, $lang->feedback->openedBy);?></th>
      <th class='w-80px hidden-xs hidden-sm'><?php common::printOrderLink('openedDate', $orderBy, $vars, $lang->feedback->openedDate);?></th>
      <th class='w-80px hidden-xs hidden-sm'> <?php common::printOrderLink('processedBy',   $orderBy, $vars, $lang->feedback->processedBy);?></th>
      <th class='w-80px hidden-xs hidden-sm'><?php common::printOrderLink('processedDate', $orderBy, $vars, $lang->feedback->processedDate);?></th>
      <th class='w-100px'><?php echo $lang->actions?></th>
    </tr>
  </thead>
  <?php if($feedbacks):?>
  <tbody>
    <?php foreach($feedbacks as $feedback):?>
    <tr class='text-center'>
      <td><?php echo html::a(inlink($viewMethod, "id=$feedback->id"), sprintf('%03d', $feedback->id));?></td>
      <td class='hidden-xs'><?php echo zget($products, $feedback->product, '')?></td>
      <td class='text-left'>
      <?php
      if($feedback->public) echo "<span class='label label-info'>{$lang->feedback->public}</span>";
      echo html::a(inlink($viewMethod, "id=$feedback->id"), $feedback->title);
      ?>
      </td>
      <td class="status-<?php echo $feedback->status;?>"><?php echo zget($lang->feedback->statusList, $feedback->status)?></td>
      <?php if(isset($userDeptPairs)):?>
      <td> <?php echo zget($userDeptPairs, $feedback->openedBy, '');?></td>
      <?php endif;?>
      <td><?php echo zget($users, $feedback->openedBy)?></td>
      <td class='hidden-xs hidden-sm' title='<?php echo $feedback->openedDate ?>'><?php echo substr($feedback->openedDate, 5, 11);?></td>
      <td class='hidden-xs hidden-sm'><?php echo zget($users, $feedback->processedBy)?></td>
      <td class='hidden-xs hidden-sm' title='<?php echo $feedback->processedDate ?>'><?php echo substr($feedback->processedDate, 5, 11);?></td>
      <td>
      <?php
      $self = $feedback->openedBy == $this->app->user->account;
      $adminMethod = $this->app->getMethodName() == 'admin';
      if($self and $feedback->status == 'wait') echo html::a(inlink('edit', "id=$feedback->id"), "<i class='icon-pencil'></i>", '', "class='btn-icon' title='{$lang->feedback->edit}'");
      if($adminMethod and $feedback->status != 'closed')
      {
          common::printIcon('feedback', 'comment', "feedbackID=$feedback->id&type=replied", '', 'list', 'reply', '', 'iframe', '', '', $lang->feedback->reply);
          if($config->global->flow == 'full' or $config->global->flow == 'onlyStory') common::printIcon('story', 'create', "product=$feedback->product&branch=0&moduleID=0&storyID=0&projectID=0&bugID=0&planID=0&feedbackID=$feedback->id", '', 'list', $lang->icons['story'], '', '', '', '', $lang->feedback->toStory);
          if($config->global->flow == 'full' or $config->global->flow == 'onlyTest')  common::printIcon('bug',   'create', "product=$feedback->product&branch=0&extras=feedbackID=$feedback->id", '', 'list', $lang->icons['bug'], '', '', '', '', $lang->feedback->toBug);
      }
      if(($self or ($adminMethod and common::hasPriv('feedback', 'close'))) and $feedback->status != 'closed') echo html::a(inlink('close', "id=$feedback->id"), "<i class='icon-off'></i>", '', "class='btn-icon iframe' title='{$lang->feedback->close}'");
      if($self and $feedback->status == 'wait') echo html::a(inlink('delete', "id=$feedback->id"), "<i class='icon-remove'></i>", 'hiddenwin', "class='btn-icon' title='{$lang->feedback->delete}'");
      ?>
      </td>
    </tr>
    <?php endforeach;?>
  </tbody>
  <?php endif;?>
  <tfoot>
    <tr>
      <td class='hidden-xs'></td>
      <td colspan='3' class='hidden-xs hidden-sm'></td>
      <td colspan='<?php echo isset($userDeptPairs) ? '6' : 5?>'><?php $pager->show();?></td>
    </tr>
  </tfoot>
</table>
